Bug 2241530 - CVE-2023-42116 exim: SMTP Challenge Stack-based Buffer Overflow Remote Code Execution Vulnerability [epel-all]
Summary: CVE-2023-42116 exim: SMTP Challenge Stack-based Buffer Overflow Remote Code E...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: exim
Version: epel8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-42116
TreeView+ depends on / blocked
 
Reported: 2023-09-30 17:43 UTC by Nick Tait
Modified: 2023-10-09 00:56 UTC (History)
4 users (show)

Fixed In Version: exim-4.96.1-1.el8 exim-4.96.1-1.el7 exim-4.96.1-1.el9
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-09 00:31:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Nick Tait 2023-09-30 17:43:26 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2241528

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Nick Tait 2023-09-30 17:43:28 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2241528,2241530

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-10-02 14:03:24 UTC
FEDORA-EPEL-2023-bb93ecb59d has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-bb93ecb59d

Comment 3 Fedora Update System 2023-10-02 14:04:02 UTC
FEDORA-EPEL-2023-35a1e9b1b2 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-35a1e9b1b2

Comment 4 Fedora Update System 2023-10-02 14:04:44 UTC
FEDORA-EPEL-2023-458a169f82 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-458a169f82

Comment 5 Fedora Update System 2023-10-03 02:30:35 UTC
FEDORA-EPEL-2023-bb93ecb59d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-bb93ecb59d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-03 02:40:13 UTC
FEDORA-EPEL-2023-35a1e9b1b2 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-35a1e9b1b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-10-03 02:46:56 UTC
FEDORA-EPEL-2023-458a169f82 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-458a169f82

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-09 00:31:34 UTC
FEDORA-EPEL-2023-35a1e9b1b2 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-10-09 00:32:07 UTC
FEDORA-EPEL-2023-458a169f82 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-09 00:56:21 UTC
FEDORA-EPEL-2023-bb93ecb59d has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.